Issues with Nvidia GPUs on recent Mac OS versions


Under Mac OS Apple provides the GPU drivers by validating them after they have been provided by the GPU constructor. Since Mac OS Mojave, Apple hasn't validated yet any new drivers for recent Nvidia GPUs. Unfortunately Substance Painter need an up to date GPU drivers to work properly.

For more information you can refer to the following page: